Subject: bug#23486: 25.0.93; Modules: features missing from make_function

From: [email-masked]
Date: Tue, 04 Jul 2017 23:40:50 -0400

Philipp Stephani <[email-masked]> writes:

> This is now done (commit
> 31fded0370c3aa6d2c4370cae21cdb7475873483). This fixes (1) through
> (3). (4) through (6) are still open. That's probably OK if the
> limitations are documented; modules can always do the equivalent of
> (eval ' (defun ...)) to get complete support.

Lisp_Subr's have an intspec field (4), but I agree it's not really
essential.  As I think you mentioned in the OP, supporting `declare' (5)
is not doable by definition (because the effects of 'declare' operate on
the symbol, not the function object).

Docstrings containing null or non-Unicode characters (6) just seems
completely pointless to me.  Are there any cases using that capability
in Emacs (or outside Emacs)?  I would probably consider them as bugs.